# v0.6.7 (Tue Nov 01 2022)

#### 🐛 Bug Fix

- fix: add declaration checks to avoid destructuring undefined [#99](https://github.com/storybookjs/eslint-plugin-storybook/pull/99) ([@stefanprobst](https://github.com/stefanprobst) [@yannbf](https://github.com/yannbf))

#### Authors: 2

- [@stefanprobst](https://github.com/stefanprobst)
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.6 (Tue Oct 11 2022)

#### 🐛 Bug Fix

- fix: await interactions rule scope. [#100](https://github.com/storybookjs/eslint-plugin-storybook/pull/100) ([@zhyd1997](https://github.com/zhyd1997) [@yannbf](https://github.com/yannbf))

#### Authors: 2

- Yadong Zhang ([@zhyd1997](https://github.com/zhyd1997))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.5 (Mon Oct 10 2022)

### Release Notes

#### story-exports: provide better feedback when using filters ([#107](https://github.com/storybookjs/eslint-plugin-storybook/pull/107))

The `story-exports` rule now detects whether you are using `includeStories/excludeStories` and provides a more helpful message in case there are not exported stories. A possible scenario is you have a typo in your `includeStories` which will result in Storybook not including it:

```js
export default {
  title: 'Button',
  includeStories: ['myStory'], // <-- notice the lowercase m, which won't match with the story name
};

export const MyStory = {};
```

---

#### 🐛 Bug Fix

- story-exports: provide better feedback when using filters [#107](https://github.com/storybookjs/eslint-plugin-storybook/pull/107) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.4 (Mon Aug 08 2022)

#### 🐛 Bug Fix

- no-uninstalled-addons: improve local addons filter [#105](https://github.com/storybookjs/eslint-plugin-storybook/pull/105) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.3 (Wed Aug 03 2022)

#### 🐛 Bug Fix

- deps: move ts-dedent to dependencies [#104](https://github.com/storybookjs/eslint-plugin-storybook/pull/104) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.2 (Tue Aug 02 2022)

### Release Notes

#### feat(no-uninstalled-addons): add option for a custom package.json location ([#102](https://github.com/storybookjs/eslint-plugin-storybook/pull/102))

#### feat(no-uninstalled-addons): add option for a custom package.json location ([#102](https://github.com/storybookjs/eslint-plugin-storybook/pull/102))

---

#### 🐛 Bug Fix

- feat(no-uninstalled-addons): add option for a custom package.json location [#102](https://github.com/storybookjs/eslint-plugin-storybook/pull/102) ([@andrelas1](https://github.com/andrelas1) [@yannbf](https://github.com/yannbf))

#### Authors: 2

- Andre Luis Araujo Santos ([@andrelas1](https://github.com/andrelas1))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.1 (Tue Jul 12 2022)

#### 🐛 Bug Fix

- fix(no-uninstalled-addons): ignore local addons [#98](https://github.com/storybookjs/eslint-plugin-storybook/pull/98) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.6.0 (Sun Jul 10 2022)

#### 🚀 Enhancement

- feat(no-uninstalled-addons): add uninstalled plugin rule [#96](https://github.com/storybookjs/eslint-plugin-storybook/pull/96) ([@andrelas1](https://github.com/andrelas1) [@yannbf](https://github.com/yannbf))

#### Authors: 2

- Andre Luis Araujo Santos ([@andrelas1](https://github.com/andrelas1))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.13 (Fri Jun 24 2022)

#### ⚠️ Pushed to `main`

- docs(CONTRIBUTING): add more test instructions [skip-ci] ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.12 (Tue May 17 2022)

#### 🐛 Bug Fix

- Add license [#93](https://github.com/storybookjs/eslint-plugin-storybook/pull/93) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.11 (Wed Apr 20 2022)

#### 🐛 Bug Fix

- Increase type safety [#89](https://github.com/storybookjs/eslint-plugin-storybook/pull/89) ([@valentinpalkovic](https://github.com/valentinpalkovic))

#### Authors: 1

- Valentin Palkovic ([@valentinpalkovic](https://github.com/valentinpalkovic))

---

# v0.5.10 (Sat Apr 16 2022)

#### 🐛 Bug Fix

- feat(default-exports): add autofix even if component name is not found [#90](https://github.com/storybookjs/eslint-plugin-storybook/pull/90) ([@yannbf](https://github.com/yannbf))
- fix(story-exports): stop highlighting the entire code on error [#91](https://github.com/storybookjs/eslint-plugin-storybook/pull/91) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.9 (Fri Apr 15 2022)

#### 🐛 Bug Fix

- fix: support ChainExpression in await-interactions rule [#87](https://github.com/storybookjs/eslint-plugin-storybook/pull/87) ([@VinceMalone](https://github.com/VinceMalone) [@yannbf](https://github.com/yannbf))

#### Authors: 2

- Vince Malone ([@VinceMalone](https://github.com/VinceMalone))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.8 (Thu Apr 07 2022)

#### 🐛 Bug Fix

- fix default-exports rule name [#88](https://github.com/storybookjs/eslint-plugin-storybook/pull/88) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.7 (Thu Feb 17 2022)

#### 🐛 Bug Fix

- fix: add optional chaining to object property key [#80](https://github.com/storybookjs/eslint-plugin-storybook/pull/80) ([@aurmer](https://github.com/aurmer) [@yannbf](https://github.com/yannbf))
- chore: remove release label restriction [#82](https://github.com/storybookjs/eslint-plugin-storybook/pull/82) ([@yannbf](https://github.com/yannbf))
- fix: await-interaction fixer adds 'async' [#81](https://github.com/storybookjs/eslint-plugin-storybook/pull/81) ([@aurmer](https://github.com/aurmer) [@yannbf](https://github.com/yannbf))

#### 📝 Documentation

- fix syntax of code example in docs: hierarchy-separator [#79](https://github.com/storybookjs/eslint-plugin-storybook/pull/79) ([@aurmer](https://github.com/aurmer))

#### Authors: 2

- Aubrey Snider ([@aurmer](https://github.com/aurmer))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.6 (Wed Jan 19 2022)

#### 🐛 Bug Fix

- Fix ast-utils import [#76](https://github.com/storybookjs/eslint-plugin-storybook/pull/76) ([@tombakerjr](https://github.com/tombakerjr))

#### 📝 Documentation

- chore: misspell hierarchy [#73](https://github.com/storybookjs/eslint-plugin-storybook/pull/73) ([@YunChaoTsai](https://github.com/YunChaoTsai))

#### Authors: 2

- Simon ([@YunChaoTsai](https://github.com/YunChaoTsai))
- Tom Baker ([@tombakerjr](https://github.com/tombakerjr))

---

# v0.5.5 (Mon Dec 20 2021)

#### 🐛 Bug Fix

- no-redundant-story-name: use same naming algorithm as storybook [#69](https://github.com/storybookjs/eslint-plugin-storybook/pull/69) ([@yannbf](https://github.com/yannbf))
- fix: gracefully handle dynamic values in non-story exports configuration [#68](https://github.com/storybookjs/eslint-plugin-storybook/pull/68) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.4 (Mon Dec 20 2021)

#### 🐛 Bug Fix

- story-exports: Support stories that are function declarations. [#66](https://github.com/storybookjs/eslint-plugin-storybook/pull/66) ([@etlovett](https://github.com/etlovett))
- chore: add linear to gh actions [#64](https://github.com/storybookjs/eslint-plugin-storybook/pull/64) ([@yannbf](https://github.com/yannbf))

#### ⚠️ Pushed to `main`

- Update linear-export.yml ([@yannbf](https://github.com/yannbf))

#### Authors: 2

- Eric Lovett ([@etlovett](https://github.com/etlovett))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.3 (Fri Dec 03 2021)

#### 🐛 Bug Fix

- extend story-exports rule to support export lists, fixes #57 [#58](https://github.com/storybookjs/eslint-plugin-storybook/pull/58) (stephen@Stephens-MacBook-Air.local [@yannbf](https://github.com/yannbf))

#### Authors: 2

- Stephen Marsh ([@stephenhmarsh](https://github.com/stephenhmarsh))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.2 (Thu Dec 02 2021)

#### 🐛 Bug Fix

- fix: support jsx extension [#60](https://github.com/storybookjs/eslint-plugin-storybook/pull/60) ([@yannbf](https://github.com/yannbf))
- Update README.md spelling error, one letter. [#50](https://github.com/storybookjs/eslint-plugin-storybook/pull/50) ([@daylennguyen](https://github.com/daylennguyen))

#### Authors: 2

- Daylen Nguyen ([@daylennguyen](https://github.com/daylennguyen))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.1 (Mon Nov 29 2021)

#### 🐛 Bug Fix

- Fix: define hasSuggestions to all fixable rules [#55](https://github.com/storybookjs/eslint-plugin-storybook/pull/55) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.5.0 (Tue Nov 23 2021)

#### 🚀 Enhancement

- Rule: pass context when invoking play [#53](https://github.com/storybookjs/eslint-plugin-storybook/pull/53) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.4.2 (Fri Nov 19 2021)

#### 🐛 Bug Fix

- Fix await interactions use cases [#51](https://github.com/storybookjs/eslint-plugin-storybook/pull/51) ([@yannbf](https://github.com/yannbf) [@shilman](https://github.com/shilman))

#### Authors: 2

- Michael Shilman ([@shilman](https://github.com/shilman))
- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.4.1 (Sat Nov 13 2021)

#### 🐛 Bug Fix

- Unify documentation to use @storybook/jest [#46](https://github.com/storybookjs/eslint-plugin-storybook/pull/46) ([@IanVS](https://github.com/IanVS))

#### Authors: 1

- Ian VanSchooten ([@IanVS](https://github.com/IanVS))

---

# v0.4.0 (Fri Nov 12 2021)

#### 🚀 Enhancement

- Rule: add story-exports [#44](https://github.com/storybookjs/eslint-plugin-storybook/pull/44) ([@yannbf](https://github.com/yannbf))

#### 🐛 Bug Fix

- docs(README): add overrides section [#43](https://github.com/storybookjs/eslint-plugin-storybook/pull/43) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.3.5 (Thu Nov 11 2021)

#### 🐛 Bug Fix

- simplify override file regex [#41](https://github.com/storybookjs/eslint-plugin-storybook/pull/41) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.3.4 (Thu Nov 11 2021)

#### 🐛 Bug Fix

- constrain override files regex [#40](https://github.com/storybookjs/eslint-plugin-storybook/pull/40) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.3.2 (Thu Nov 11 2021)

#### 🐛 Bug Fix

- ignore storiesOf in default-export and prefer-pascal-case [#39](https://github.com/storybookjs/eslint-plugin-storybook/pull/39) ([@yannbf](https://github.com/yannbf))
- prefer-pascal-case: ignore stories that start with underscore [#38](https://github.com/storybookjs/eslint-plugin-storybook/pull/38) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.3.1 (Thu Nov 11 2021)

#### 🐛 Bug Fix

- hierarchy-separator: remove dot from checkings [#37](https://github.com/storybookjs/eslint-plugin-storybook/pull/37) ([@yannbf](https://github.com/yannbf))

#### Authors: 1

- Yann Braga ([@yannbf](https://github.com/yannbf))

---

# v0.3.0 (Thu Nov 11 2021)

#### 🚀 Enhancement

- Add autofix heuristics for default-exports rule [#36](https://github.com/storybookjs/eslint-plugin-storybook/pull/36) ([@shilman](https://github.com/shilman))

#### 🐛 Bug Fix

- no-title-property-in-meta: fix dangling comma and highlighting [#32](https://github.com/storybookjs/eslint-plugin-storybook/pull/32) ([@yannbf](https://github.com/yannbf))
- Update docs [#35](https://github.com/storybookjs/eslint-plugin-storybook/pull/35) ([@kylegach](https://github.com/kylegach) [@yannbf](https://github.com/yannbf))
- prefer-pascal-case: ignore __namedExportsOrder [#34](https://github.com/storybookjs/eslint-plugin-storybook/pull/34) ([@yannbf](https://github.com/yannbf))
- hierarchy-separator: fix node highlight [#33](https://github.com/storybookjs/eslint-plugin-storybook/pull/33) ([@yannbf](https://github.com/yannbf))
- no-redundant-story-name: add CSF2 support [#31](https://github.com/storybookjs/eslint-plugin-storybook/pull/31) ([@yannbf](https://github.com/yannbf))
- prefer-pascal-case: add non-story exports check [#30](https://github.com/storybookjs/eslint-plugin-storybook/pull/30) ([@yannbf](https://github.com/yannbf))
- default-exports: target first non-import nodes when reporting [#29](https://github.com/storybookjs/eslint-plugin-storybook/pull/29) ([@yannbf](https://github.com/yannbf))
- Fix prefer-pascal-case to support typescript & variable references [#26](https://github.com/storybookjs/eslint-plugin-storybook/pull/26) ([@shilman](https://github.com/shilman))
- await-interactions: Fix bad expect matchers [#27](https://github.com/storybookjs/eslint-plugin-storybook/pull/27) ([@shilman](https://github.com/shilman))
- Fix/meta as variable [#24](https://github.com/storybookjs/eslint-plugin-storybook/pull/24) ([@shilman](https://github.com/shilman) [@yannbf](https://github.com/yannbf))
- Docs/update rule docs [#25](https://github.com/storybookjs/eslint-plugin-storybook/pull/25) ([@yannbf](https://github.com/yannbf) [@shilman](https://github.com/shilman))
- add complex use case to await-interactions [#21](https://github.com/storybookjs/eslint-plugin-storybook/pull/21) ([@yannbf](https://github.com/yannbf) [@shilman](https://github.com/shilman))
- Chore: add typescript examples to test [#23](https://github.com/storybookjs/eslint-plugin-storybook/pull/23) ([@yannbf](https://github.com/yannbf))
- Feature/migrate to jest [#22](https://github.com/storybookjs/eslint-plugin-storybook/pull/22) ([@yannbf](https://github.com/yannbf))
- add support for CSF3 notation in use-storybook-expect [#16](https://github.com/storybookjs/eslint-plugin-storybook/pull/16) ([@yannbf](https://github.com/yannbf))
- chore(ci): add test workflow [#20](https://github.com/storybookjs/eslint-plugin-storybook/pull/20) ([@yannbf](https://github.com/yannbf))
- Feature/ts migration [#17](https://github.com/storybookjs/eslint-plugin-storybook/pull/17) ([@yannbf](https://github.com/yannbf))
- Fix use-storybook-testing-library default export handling [#18](https://github.com/storybookjs/eslint-plugin-storybook/pull/18) ([@shilman](https://github.com/shilman))
- fix no-redundant-story-name [#14](https://github.com/storybookjs/eslint-plugin-storybook/pull/14) ([@yannbf](https://github.com/yannbf))
- add exclude rule flag [#13](https://github.com/storybookjs/eslint-plugin-storybook/pull/13) ([@yannbf](https://github.com/yannbf))
- add await-interactions rule [#12](https://github.com/storybookjs/eslint-plugin-storybook/pull/12) ([@yannbf](https://github.com/yannbf))
- Fiix/title related rules [#11](https://github.com/storybookjs/eslint-plugin-storybook/pull/11) ([@yannbf](https://github.com/yannbf))
- fix and improve all tests [#10](https://github.com/storybookjs/eslint-plugin-storybook/pull/10) ([@yannbf](https://github.com/yannbf))
- Improve rule generation [#9](https://github.com/storybookjs/eslint-plugin-storybook/pull/9) ([@yannbf](https://github.com/yannbf))
- fix use-storybook-expect rule [#8](https://github.com/storybookjs/eslint-plugin-storybook/pull/8) ([@yannbf](https://github.com/yannbf))
- fix: add safe check for meta properties [#6](https://github.com/storybookjs/eslint-plugin-storybook/pull/6) ([@yannbf](https://github.com/yannbf))
- chore: add auto release setup [#4](https://github.com/storybookjs/eslint-plugin-storybook/pull/4) ([@yannbf](https://github.com/yannbf))
- Add addon interactions rules [#3](https://github.com/storybookjs/eslint-plugin-storybook/pull/3) ([@yannbf](https://github.com/yannbf))
- fix: resolve plugin category generation [#2](https://github.com/storybookjs/eslint-plugin-storybook/pull/2) ([@yannbf](https://github.com/yannbf))
- Add auto formatting with prettier + husky + lint-staged [#1](https://github.com/storybookjs/eslint-plugin-storybook/pull/1) ([@yannbf](https://github.com/yannbf))

#### ⚠️ Pushed to `main`

- 0.2.5 ([@yannbf](https://github.com/yannbf))
- 0.2.4 ([@yannbf](https://github.com/yannbf))
- 0.2.3 ([@yannbf](https://github.com/yannbf))
- 0.2.2 ([@yannbf](https://github.com/yannbf))
- 0.2.1 ([@yannbf](https://github.com/yannbf))
- update docs regarding default-exports ([@yannbf](https://github.com/yannbf))
- 0.2.0 ([@yannbf](https://github.com/yannbf))
- chore: update version to 0.1.1 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.9 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.8 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.7 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.6 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.5 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.4 ([@yannbf](https://github.com/yannbf))
- update typescript file generation ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.3 ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.2 ([@yannbf](https://github.com/yannbf))
- remove logs and test skip ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.1 ([@yannbf](https://github.com/yannbf))
- chore: add rafael rozon as contributor ([@yannbf](https://github.com/yannbf))
- 0.0.1-alpha.0 ([@yannbf](https://github.com/yannbf))
- chore: add feature req and bug report templates ([@yannbf](https://github.com/yannbf))
- docs: fix inconsistencies in rule docs ([@yannbf](https://github.com/yannbf))
- Update no-title-property-in-meta.md ([@ghengeveld](https://github.com/ghengeveld))
- Update no-stories-of.md ([@ghengeveld](https://github.com/ghengeveld))
- Update default-exports.md ([@ghengeveld](https://github.com/ghengeveld))
- feat: add docs url to every rule ([@yannbf](https://github.com/yannbf))
- init project ([@yannbf](https://github.com/yannbf))

#### Authors: 4

- Gert Hengeveld ([@ghengeveld](https://github.com/ghengeveld))
- Kyle Gach ([@kylegach](https://github.com/kylegach))
- Michael Shilman ([@shilman](https://github.com/shilman))
- Yann Braga ([@yannbf](https://github.com/yannbf))
